Bug 461920 - java-1.6.0-openjdk-plugin doesn't work in firefox3
java-1.6.0-openjdk-plugin doesn't work in firefox3
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-11 08:59 EDT by Brad Walker
Modified: 2008-09-12 12:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-12 12:17:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Walker 2008-09-11 08:59:01 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. Visit any page with Java applet (EX: http://www.java.com/en/download/help/testvm.xml?ff3)


Actual results: Java applet does not work and sometimes the gray brick and the "Install missing plugins" button appears.


Expected results: Working Java Applet


Additional info:

Java doesn't appear in about:plugins

All symlinks seem correct:

[root@brad ~]# ls -lsh /usr/lib64/mozilla/plugins/libjavaplugin.so 
0 lrwxrwxrwx 1 root root 41 2008-09-11 06:42 /usr/lib64/mozilla/plugins/libjavaplugin.so -> /etc/alternatives/libjavaplugin.so.x86_64
[root@brad ~]# ls -lsh /etc/alternatives/libjavaplugin.so.x86_64
4.0K lrwxrwxrwx 1 root root 63 2008-09-11 06:42 /etc/alternatives/libjavaplugin.so.x86_64 -> /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/lib/amd64/gcjwebplugin.so

Package versions:
firefox-3.0.1-1.fc10.x86_64
nspluginwrapper-1.1.0-6.fc10.i386
nspluginwrapper-1.1.0-6.fc10.x86_64
java-1.6.0-openjdk-1.6.0.0-0.20.b11.fc10.x86_64
java-1.6.0-openjdk-plugin-1.6.0.0-0.20.b11.fc10.x86_64
Comment 1 Lillian Angel 2008-09-11 09:13:33 EDT
The plugin does work, but it seems like your setup is incorrect. It is not working, because the plugin is not installed correctly, otherwise, it would appear in about:plugins. did you restart firefox after updating the links?

Does /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/lib/amd64/gcjwebplugin.so exist? What other plugins do you have installed in /usr/lib(64)/mozilla/plugins ?
Comment 2 Brad Walker 2008-09-11 09:41:37 EDT
I reinstalled java-1.6.0-openjdk-plugins three times using yum, restarting firefox after each attempt. Each time java never a
ppeared in about:plugins

[root@brad ~]# ls -lsh /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/lib/amd64/gcjwebplugin.so
28K -rwxr-xr-x 1 root root 28K 2008-08-05 13:12 /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/lib/amd64/gcjwebplugin.so

Mozilla plugins:

[root@brad ~]# ls -l /usr/lib*/mozilla/plugins
/usr/lib64/mozilla/plugins:
total 552
lrwxrwxrwx 1 root root     41 2008-09-11 06:42 libjavaplugin.so -> /etc/alternatives/libjavaplugin.so.x86_64
-rwxr-xr-x 1 root root   5624 2008-09-03 15:01 librhythmbox-itms-detection-plugin.so
-rwxr-xr-x 1 root root  70816 2008-09-08 15:39 libtotem-basic-plugin.so
-rwxr-xr-x 1 root root 101448 2008-09-08 15:39 libtotem-cone-plugin.so
-rwxr-xr-x 1 root root 110440 2008-09-08 15:39 libtotem-gmp-plugin.so
-rwxr-xr-x 1 root root  70840 2008-09-08 15:39 libtotem-mully-plugin.so
-rwxr-xr-x 1 root root  79840 2008-09-08 15:39 libtotem-narrowspace-plugin.so
-rwxr-xr-x 1 root root  83184 2008-01-16 15:37 npwrapper.libflashplayer.so

/usr/lib/mozilla/plugins:
total 136
lrwxrwxrwx 1 root root     39 2008-09-02 14:08 libflashplayer.so -> /usr/lib/flash-plugin/libflashplayer.so
-rwxr-xr-x 1 root root 127260 2008-07-22 13:17 nppdf.so
Comment 3 Lillian Angel 2008-09-11 10:10:33 EDT
I have the same setup on my x86_64 machine, and it seems to work.

Deepak- can you spot any problems ?
Comment 4 Mark Wielaard 2008-09-11 10:19:18 EDT
What does ls -l /etc/alternatives/libjavaplugin.so.x86_64 say? Does it point to /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/lib/amd64/gcjwebplugin.so

Could you run firefox -g from a terminal to see if it gives any addition error messages that might explain the problem?
Comment 5 Brad Walker 2008-09-11 12:23:54 EDT
[root@brad ~]# ls -l /etc/alternatives/libjavaplugin.so.x86_64
lrwxrwxrwx 1 root root 63 2008-09-11 06:42 /etc/alternatives/libjavaplugin.so.x86_64 -> /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/lib/amd64/gcjwebplugin.so

I installed all the debuginfo files for FF and `firefox -g' showed nothing other than some problem with Firebug. I disabled all FF extensions (Firebug, ABP, Web Developer, etc.) and that didn't help, either.
Comment 6 Deepak Bhole 2008-09-11 14:17:56 EDT
That is odd. What does this command show?

for file in /usr/lib*/mozilla/plugins/*; do readlink -f $file; done

Also, are you certain that no firefox i386 installed? and that if it is, that the 64-bit one is the one that runs?
Comment 7 Brad Walker 2008-09-11 14:42:02 EDT
[root@brad ~]# for file in /usr/lib*/mozilla/plugins/*; do readlink -f $file; done
/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/gcjwebplugin.so
/usr/lib64/mozilla/plugins/librhythmbox-itms-detection-plugin.so
/usr/lib64/mozilla/plugins/libtotem-basic-plugin.so
/usr/lib64/mozilla/plugins/libtotem-cone-plugin.so
/usr/lib64/mozilla/plugins/libtotem-gmp-plugin.so
/usr/lib64/mozilla/plugins/libtotem-mully-plugin.so
/usr/lib64/mozilla/plugins/libtotem-narrowspace-plugin.so
/usr/lib64/mozilla/plugins/npwrapper.libflashplayer.so
/usr/lib/flash-plugin/libflashplayer.so
/usr/lib/mozilla/plugins/nppdf.so

>Also, are you certain that no firefox i386 installed? and that if it is, that
the 64-bit one is the one that runs?

[root@brad ~]# rpm -q firefox
firefox-3.0.1-1.fc10.x86_64
[root@brad ~]#x

The x86_64 totem plugins work fine for me, just not java.


I tried verifying the RPM to make sure there's no data corruption:
[root@brad ~]# rpm -Vv java-1.6.0-openjdk-plugin
........    /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/gcjwebplugin.so
........    /usr/share/doc/java-1.6.0-openjdk-plugin-1.6.0.0
........  d /usr/share/doc/java-1.6.0-openjdk-plugin-1.6.0.0/README.plugin
Comment 8 Deepak Bhole 2008-09-11 16:01:09 EDT
Hmm, everything appears fine. The only one thing I can think of is check ~/.mozilla/plugins .. is it is a symlink to /usr/lib64/plugins? if it is not a link, can you create a link in ~/.mozilla/plugins to /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/gcjwebplugin.so , and then try about:plugins to see if it loads it then? That will narrow the problem to either firefox (not finding the plugin) or the plugin not loading properly.
Comment 9 Brad Walker 2008-09-12 12:11:41 EDT
I started a new profile and the Sun Java test page works fine in it. Somewhere along the line of switching back and forth between operating systems and Firefox versions my profile corrupted. Now I don't think there's anything wrong with the package.

Note You need to log in before you can comment on or make changes to this bug.